Skip to content

Changelog zc.buildout (2.13.2-4)

2019

zc.buildout (2.13.2-4) unstable; urgency=medium

   * Add missing Breaks+Replaces: python-zc.buildout (Closes: #940207).

zc.buildout (2.13.2-3) unstable; urgency=medium

   * QA upload.
   * Source-only upload.

zc.buildout (2.13.2-2) unstable; urgency=medium

   * QA upload.
   * Orphan the package. Closes: #869446.
   * New upstream version.
   * Stop building the Python2 package. Closes: #938880.
   * Build a Python3 package. Closes: #742099.
   * Fix lintian warnings.
   * Add (XS-)Testsuite: autopkgtest header in source stanza. Closes: #692717.
   * Convert autopkg test to Python3.

2013

zc.buildout (1.7.1-1) unstable; urgency=low

   * New upstream release.
   * debian/copyright: convert to copyright-format 1.0
   * debian/control: Bump Standards-Version to 3.9.4.
   * debian/rules: don't mangle the buildout script, use default python
   * debian/install: tutorial is no longer included in the tarball

2011

zc.buildout (1.5.2-1) unstable; urgency=low

   * New upstream release.
     + Based on Ubuntu package done by Gediminas Paulauskas <menesis@pov.lt>.
   * Do not use python-van.deb as it is not particularly useful.
     + debian/control:
       - Remove python-van.deb from Build-Depends.
       - Remove pydeb from dependency fields.
     + debian/rules
       - Remove --with pydeb argument of dh.
   * Switch to dpkg-source 3.0 (quilt) format.
   * debian/rules:
     + Remove all text files and tests (which use doctest) from the source
       package and put them in /usr/share/doc instead.
   * debian/docs:
     + Add README.txt, DEVELOPERS.txt and SYSTEM_PYTHON_HELP.txt.
   * debian/install:
     + Add all doctest text files and tutorial to documentation.
   * debian/control:
     + Add myself to Uploaders.
     + Wrap Uploaders and Build-Depends fields.
     + Bump Standards-Version to 3.9.2. No changes needed.
     + Add Homepage and Vcs-Browser fields.
     + Rename XS-Vcs-Svn to Vcs-Svn (dpkg supports it now).
     + Build-Depends on python-all rather than python-all-dev as there is no
       extension to build.
   * debian/copyright:
     + Update author email address.
     + Update copyright headers.
   * Switch to dh_python2 in place of deprecated python-central.
     Closes: #617152.
     + debian/control:
       - Remove python-central from Build-Depends.
       - Remove deprecated field XB-Python-Version.
       - Rename XS-Python-Version to X-Python-Version.
       - Bump versions of python-all in Build-Depends to 2.6.6-3~.
     + debian/rules:
       - Use --with python2 rather than --with-python-central.

2010

zc.buildout (1.4.3-1) unstable; urgency=low

   * New upstream release.
   * Convert to debhelper 7 and the pydeb dh7 extension.

2009

zc.buildout (1.4.1-3) unstable; urgency=low

   * Add myself to uploaders.
   * Remove provides: python-zc, this package claims this falsely, it does not
     actually install zc/__init__.py (Closes: #556366)

zc.buildout (1.4.1-2) unstable; urgency=low

   * debian/control: build-depend on pyton-vab.pydeb >= 1.3.0-2.
     (Closes: #552971)

2007

zc.buildout (1.4.1-1) unstable; urgency=low

   * Initial release.